# SPEC file for nomadsync, primary target is the Fedora Extras
# RPM repository.
#
# For testing a certain distribution, rely on macros that
# you define in your ".rpmmacros" file. For example, for
# test building a Fedora Extras package, define the following
# two macros in .rpmmacros:
#
# %dist .fc4
# %fedora 4
#

Name:		nomadsync
Version:	0.4.2
Release:	2%{?dist}
Summary:	A music synchronization program form portable audio players
URL:		http://nomadsync.sourceforge.net/

Group:		Applications/Multimedia
Source:		http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:	GPL
BuildRequires:	libusb-devel
BuildRequires:	libnjb-devel
BuildRequires:	wxGTK-devel
BuildRequires:	id3lib-devel

%description
This package provides an application to synchronize music trees
with Creative NOMAD Jukebox, Creative Zen and Dell DJ line of 
MP3 players.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/nomadsync
%doc ChangeLog authors copying readme install

%changelog
* Fri Oct 14 2005 Linus Walleij <triad@df.lth.se> 0.4.2-2
- Minor tweaks and fixes.

* Thu Oct 06 2005 Brent Norris <brent@linux.wku.edu> 0.4.2-1
- First RPM'ed
